=== debian/changelog ===
osm2go (0.6.13-maemo1) unstable; urgency=low

  * New trunk release.
  * Make lintian-clean, add manpage.
  * Update from trunk.
  * Parse build-specific version prefixes and suffixes from this file.
  * Update build-deps.

 -- Andrew Chadwick <andrewc@piffle.org>  Mon, 16 Feb 2009 21:00:42 +0000

osm2go (0.6.12-maemo1) unstable; urgency=low

  * Merge trunk, and begin building in the new way.
  * Version prefix/suffix parser merged from branches/ports/debian.

 -- Andrew Chadwick <andrewc@piffle.org>  Sun, 08 Feb 2009 22:34:12 +0000

osm2go (0.6-11) unstable; urgency=low

  * New presets.xml
  * Handling of <optional> element <andrewc@piffle.org>
  * Handling of new <link> element
  * Handling of mew <space> element

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100

osm2go (0.6-10) unstable; urgency=low

  * Use hash tables to find nodes and ways faster via their ids
  * Some minor gtk handling/warning fixes
	
 -- Till Harbaum <till@harbaum.org>  Wed, 21 Jan 2009 19:24:22 +0100
