## osm2go 0.6.14-test-maemo1

=== src/Makefile ===
--- 
+++ 
@@ -19,19 +19,17 @@
 
 APP = osm2go
 PREFIX ?= /usr/local
-
-PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
-	gnome-vfs-module-2.0 libgnome-2.0
+EXTRA_OBJS = dbus.o
 
 OBJS = main.o map.o osm.o osm_api.o wms.o \
 	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
 	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
 	area_edit.o josm_presets.o relation_edit.o misc.o map_edit.o \
-	josm_elemstyles.o style.o net_io.o banner.o undo.o
+	josm_elemstyles.o style.o net_io.o banner.o undo.o $(EXTRA_OBJS)
 
-DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"$(PREFIX)\" -DUSE_GOOCANVAS
-CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
-LDFLAGS = `pkg-config --libs $(PKGS)`
+DEFS = -DPACKAGE=\"$(APP)\" -DPREFIX=\"/usr/local\"
+CFLAGS = -Wall $(DEFS) -g -O2   -DUSE_GOOCANVAS -DMAEMO_CHANGES -I/usr/include/goocanvas-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2    -DUSE_HILDON -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DMAEMO_VERSION=\"5.0-alpha\" -DMAEMO_VERSION_MAJOR=5
+LDFLAGS =  -lcurl -ldl -lssl -lcrypto -lz   -lgoocanvas -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
 
 all: $(APP)
 
@@ -45,6 +43,7 @@
 	rm -f osm2go *.o *~ */*~ \#*\# version.h *.bak
 
 install: $(APP)
+	install -d $(DESTDIR)$(PREFIX)/bin
 	install $(APP) $(DESTDIR)$(PREFIX)/bin
 
 -include ../version.mk
@@ -184,18 +183,3 @@
 style.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
 style.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
 style.o: banner.h
-track.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-track.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-track.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-track.o: banner.h
-undo.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-undo.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-undo.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-undo.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-undo.o: banner.h
-wms.o: appdata.h version.h pos.h osm.h canvas.h undo.h map.h map_hl.h
-wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
-wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
-wms.o: relation_edit.h misc.h map_edit.h josm_elemstyles.h style.h net_io.h
-wms.o: banner.h
