=== debian/changelog ===
osm2go (0.6.14-test-maemo1) unstable; urgency=low

  * Fremantle compile test

 -- Till Harbaum <till@harbaum.org>  Thu, 05 Feb 2009 20:48:09 +0100
