=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5), tablet-browser-interface-dev
+Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, liblocation-dev, liblocation-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5)
 Standards-Version: 3.7.2
 
 Package: osm2go
@@ -10,7 +10,17 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}, libgoocanvas3
 Description: Mobile OpenStreeMap Editor
- Edit openstreetmap.org map data on the road.
+ OSM2Go is a lightweight editor for OpenStreetMap intended for mobile
+ devices and small screens.
+ .
+ This mapping tool is particularly suited for small-screen portable
+ systems such as subnotebooks, handheld devices and netbooks which do
+ not have a network connection at all times.
+ .
+ OSM2Go features a tagging presets system, background satellite/WMS
+ layers, and gpsd integration. It was originally designed for the Maemo
+ mobile Linux platform, and so is lightweight and sports a simple,
+ speedy interface to map editing.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
  vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
