=== src/trunk/debian/control ===
Source: osm2go
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev, perl-base (>= 5)
Standards-Version: 3.7.2

Package: osm2go
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, libgoocanvas3
Description: Mobile OpenStreeMap Editor
 Edit openstreetmap.org map data on the road.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
 cUlEQVRYw8WYeVRW5dqHr3e/8wAyDwKCDAoik6Ii4ZgeTTM1LS0r03MsLE0t83TK
 Y+nJ75gcU8wpnEsjR0wLtDLBFERicgBUFJkFRXiBF17eYe/vD7B1ln7n+9ZZ61vr
 /P757Wevve/nvta+n/3ce8voVlS3yT7sdmkW/y+SNfXEi+s5cavHB3abYVC3Bxl6
 xrXd/sCz2yuOd7ulJw4HeuLe74m79IkZu00e7nHU+yPXgz8Faz/V7dJ8dMdUw93V
 9fvOT7cX2RPF0RfSuq+r1Ha7/VTPfe09CUUplihs8rKRhR5/Cljeyz7GN+yrQe/0
 fSuuzeL78KjMp7I+9+H5zqKEC794RntGenvHfB/hH+Ef4T/usBdeeKGxKrOV2cps
 6BzeObxzOFS5VblVuTUFFFuKLcWWs+7eo/qsdE0NLCs7dq3oTuPWLeJw+w1xy77X
 /wUQhK6L2B0U/235j5uLE/crZwXVzqvq03ALik4d/PhHd+m9i8FV7g2NleUl2uJ7
 tzaWVIWfjt4W8sHAinj1mOTBZr/8yAdxO0PGy4JqD4sfXEuC0FedTcOegd0Lk95O
 2w2dve6vU8wFaQ7TpNXQfKBN06iDmvdqcusWg9N8lwL9NNCd0Z3T3QZ+tCUqnwP/
 ob4Rga9D/Wv3NtX5wncbvms7GXz4Rqdrx186M2ft7kk/6QkgpY/ynGJxotelMZXG
 43nb673maE+pDoL8SL1r0ymwrg77LGAIWJZ1pVhHgmyOECzuhOJv7z99MQnqNK0X
 K1QQONexIfwMnNjwj68L14HbBN0Y/0C4urRkccELMDR2jHlIKkyc8VyvMZehbH15
 +q0pYCnSbaveAda3OgLtA8Brst4joA4y/U83596F6qSSmOa94DXVs773RXFFypcp
 X6Z8+dYaS4mlxFLypfYRh/DowFprHWP7ItM97x8XHa8sJl560/HvholArPibOBMU
 SXdD67eAYBGmyC6B4CIbrtgG0VmeQQmjQDZLNkf2FRx4sCs2LQQ8CxzyA7+GwsXX
 xLyl8Mc5ywufPwejikeNGX0c3P/s+HePDdC7o/d5p1mg1wlXXdaAs1y3y10B8mjF
 eiEVJr43fceIrZDw05RJ4Z5wP7hJ3eAsrJ8dMztmdsymjwgiiKBIryeAulWuyHY8
 V1GQXp0rXRTcZfvAOiX8bGAlyFYaj5gqQdGhXKR4F8Q00STdAvEFe559Nahft36q
 TwZr8q1V7s9D+aGKF24mweB1Uzf5bAT52w5p4kHQ7jO4cQoMHqqRblngMkEveF0G
 ryi9EPAc6D9U9er1DaDDCy0oxyrzlR9AoLLfs34FMLbPjOpoR/D7yS/fL1WzIWB8
 wPiA8Wt0PQATHgOyFV67UDD/5qmr1ZZlXcess0HUtxxpnwGSSfOWMgNI4RtWg81s
 nW1JBXmZbI9iBdyNzRtr3A5DXot6Kn4Y1BVYd5WcgIfbJV11KVyKrXzzzHC4dP9W
 5k/RUORT1/6LGkriqz67/gco8qmmQAstsS2CXQ4tm5r72QuhbXdbvqwDOl06ys0G
 CEuPlAf5Q+74vKCc12BcxriMcRmT6rrzdy9/DEhuH7gkpjhkz8CJqlT1h0oBVFEl
 cytU0NHa92rvV8G8rqPVvBEsay2Rtp/BWmf90uYP9a634tpeAbLJ5hL4Z8e297oO
 qk3ajxX9wf609AflHagubVtaPwTKPbrEi8VwJ9zY/9JGMPdzCSpXglqhW9uxH1TJ
 6tvCXmh1Mt7r9ADDOIcifRaoJ2vi1VMhLz036rcJDwaEGcIMYQZlJ8tZzvLYFY8B
 BY0fbhzdMWiR30nF8du/1m4GMXGgPdAfVC6qFuWfQfmRar/CC7R5+uPaNrCXSmO6
 5NDZ3L6j10tgfL81wzgeVA81G+VbwF5ge0OcCa2nmrcu9YaqUbfGvZgATbWtrz5Y
 AV1HzFe6loOXt3ZEwFqwT7b9TSoEyV2MEH6A4Bn9/+7kCRYXywDrPchad6YiVymt
 NS436lvv/DLMkG3INmSD8InwifCJ94jfgRSLFCb5tVG/xbo8NTtCKQtgjkqu3AHy
 VQ2yhwOAP9FL8gJWS/2lfiAKduyBIJspbBOCgEqlf50nGA7q1xnOgNNJ2U2fOSD3
 UazUxEPL/HtHrYdBvlTh5tkXujxaPg2PBWuE/OUOM1QfqflDtQsYrPq7Bk/Qe+vH
 yZRQo6882PwmaNy0/dQOcLo5rTlrea1WfkB+QH6gcoEqXZWuSgc88MCjS6l4BNRX
 DBH83h3t5nHT82fno2DpiwUjCGFNTsZUkG/KfaVkMAiJ/rHeBujYbaiVh0DTDmtU
 XTr0nuL5urcSAif3HR4oweUNv+TWvwW9P4+IHyxCwsbo18x5cO182brGDeA4VHhl
 Wig4pap3yLaCdbHuSOsRaNvdvr3tMLDO/p12D/SqdD7pMAUeTGtQNURCyaor9eVx
 uWN763pX974d2qd9VPuo9lFIolk0i+YbdYpHLUpU4pCOsJ/i3OwviS+LM0G+TDgr
 DATWe5a4zgBZageWArCWP9jbfALUxc5ZPgbwO6z5IcQZJsZPnqFZCAWyDLfKUBDe
 NNZU5sGkd+JuRS0D7QLdqAdJoNyjerP5JsgDNWdqy8APh8v+v8LDxAcmowzUV9UN
 DpPAtt2aKu4C8+EOZdsZMA1rCzOFQOOMupSmQbXJ887Mk+admX8p+5vsb7K/qZuC
 iIhYHC886rXqhdoXG+sq9wrjhBXyTLC8YtHYNoE5peOmeQ1Ynq852bAXOhz9Qj2U
 YDeZhK5TYD9m3ySuh4CWYMn3ONwsq5p25RxEdoY9P2gepNuOzc/sB7KZskRZOKi+
 7vTsbIOQqx4bvGugsaZe13QPnHydbQ6roHZo1Yr7b0FdbtX4uy9Ce5/WLaZD0NVh
 brIooM8ef2ffsNfORauj1dFqQ+nJ3id7n+y9tblnN53+qORuFR+6vKU0JTOuc7yp
 rfPSGAxTewmGvSAdl0aIjqD00+xVhYPFXKd7UA8OoxvVxlXQWtExUWqE8nE6q4cP
 iLulets4sKqsh6x3oOnpuxaLEnI8Mp8uzALHZKdQvRNUDLi5rPoe1HxcWX5vFJiX
 d/7V8gEYRzfPNv4ATp87T9IsA+mYFCy9B6U3i/LvbIHnfpziOO0Np7spoSn6lMHF
 35jiTfGm+E3zejh2yR+tIUuF5Yz1hvRxTFXc28M+mKfrKwS1u/mBMEH+puI62FZ7
 2pyvgmxxw42HwVA8oSW36SBcTj9XdiEETp8+0pabAg5z3U769Qe3na5ObqngGuzi
 7ToIKraUBtzbD8XhBRHXZOD0fGVm7Wtgd9AJ2mmgHeu0TT8DGlvu9WkdCXWXq27X
 LoOsLT/Yi54B9xgHd79XINvvotOFEVJykV+xb7HHxKFYsGCpGfpkp1BNOfUFs64m
 F4Rfeb8tq/W99pHCeLCfsDpb/UBA8Rf5TLjx5wa3srlw2Jz82Ya+kPl17vBf3wV9
 gq6ztBgCxvrMdk0CRY4iR5EDv4VeCbpUCG2rusSmwRCY7/NzWBU0yPWJQYVw7Z2C
 DU21cGZb6kv5MqjMLj7TEA/69fay3v7gfcptid9o6Nr8MO2OCt4PeHVAQq5sCbGM
 ZaDvjce77cf2ofZf8o9czCqclD9AMV1hkH0Lxs9bNfJYKL6UMftUJxwo3eC3Sw/N
 QW23ZApQzpTv5AUwB3caTaOhVMip2q+BKy+XGC4UwqIFH1e+EQtJhe8vmG6D6KqE
 2b77QPyrblVbMMjrZHcZCK43H+5u2gOO5bK7HZUg7XAYazTDrDmLGhNehw+T93Wu
 WA0xr/4xb0opuKx2z3JyGGV+HEjx2HiVbrDhVe1FwxjNWfVa+9tcuxN5YfD3JXCo
 KjlnXxoYC01GmQ20CapYKQM0A5XTxArQ+Kl+lnJAfVbY0hIEunfdrcpq8G/3N+sz
 QRhx/afG6xD1/cj0wXcgIXzyp7GuICyRHcUBhFprjK0BpM0KF/lVsPeRasT3gfEc
 RQv2U/ZtkgqsNbZkMRUslV3R1pz2ECDrfwFyzYlTjRwftSciqizlXGH6TDh0dfPC
 /Z3QEmAyykaD9qnfQZ4XK0AT2Q2i0SqTpTQQt0n/YAL45gYN98oAhU4qlDaCaqQU
 IdlA5aOKV0WAapV6gGw9COnCZYLAHCFG2D8Au6NtkU0Juu2GHbpgkCELllX1pLcS
 ikbkfVfigak9pvWCKTQzEgD7/wR0mFP8NW664wjbgLrT6oWplZtKfnWHFvf2AQSC
 Nk41WMoATZTy2R6QH3tAvpDSQCqV1ESB8InP2vjTMDlj7twZ90EaI11lGJjCQzwD
 RoBt55X5lUNBmD9yeUAriN+J5+0zQbgmz5FbQT1X26o5B1KGmCHuBukzyVOKBfTU
 YIbsWb905Re1rcKOHXuB+xMlJwviOgHEjPwqMktdMCmgUHF2Z1YbtAZ2bBQCQROp
 ipROgyZKOV2sAE2MKqsHZKt0HKR8SUYMGHYa+oQmQKJiztJp74Dp+q8Rt3eDLV4s
 FN8A3QLdEmUQeBXortivQNdm+xZ7LUiZ0nQpCKQO6aTUCKJkS7SNBPn7iksKI3BN
 FieLAlppph1yR5w3FW/N/wLIgXbrE0DxU8PvqlZOCPE/7O2iD1q4trm/aZOQxDPa
 Ib+XVjdIvCpXygaNXrlbOgbSDqmcBNB9HpwVPwcSY2fcnroYxGuDOvo5QPv6e2se
 fgVuL3hucOkC5VOqNMX30CXYbfZawCgZJSMI14R2QQTpDVFjbQf5Cg3qKuAZ4vgn
 EOOm5mNt/wWFJZdvlyScO4AXcIQnfuYoHH/QfyrfNcSrXWX+SHhbduifQJ7pKa3z
 PU9kp3QMpHVSIU+BKcBQEdoKwUciZgweKLmverD53aMLa5xz/lZcXX7815jyZ8sW
 V87L9naqca5yeDdg3uCn4prCM0Z/H3/w6c2xDJwZt3Lky9ELNf2DY0Pf9o+Frq+6
 vrWFwJUFBSnFlzFdiswcVLi9bVWOS6ZTYWr+F49ATF5t+zuO7LnNv5DMv9TzsmJN
 oGrs2EFbHIZdPGyPFh1lfl5TNT6qs1IxaLTKdVIaSCekJmIRfxPL02Th511z71x/
 pSX3QIioFmdJa873fAKX99S0fc+/mK9fz8tnLaN5jrg40eWIe6NT0CizZVfXPUtS
 e0j7ytbqDr/MyJ418kXPdvIX/l319fV2VU2JSJoTPz7N5VB98uLh02uc1kjSorzp
 C5y2SNLIEzGlro0nl2iq1DHyuZrP/u0J/lPyPuH6UHUs1Hf49oF2p7A96VGykA29
 utbs1RxXq+XPqvf+p/P7v/TfVs+/lG9FkggAAAAASUVORK5CYII=
